package oop9.comparableinterface;

import java.util.Arrays;

public class Circle implements Comparable {
	private int x, y;
	private int r;

	public Circle() {
		super();
		this.x = (int) (Math.random() * 10);
		this.y = (int) (Math.random() * 10);
		this.r = (int) (Math.random() * 10);
	}

	@Override
	public int compareTo(Object o) {
		Circle k = (Circle) o;
		if (this.r == k.r)
			return 0;
		else if (this.r < k.r)
			return -1;
		else
			return 1;
	}

	@Override
	public String toString() {
		return x + ", " + y + ", " + r;
	}

	public static void main(String[] args) {
		Circle[] circles = new Circle[10];
		for (int i = 0; i < circles.length; i++)
			circles[i] = new Circle();

		System.out.println("PRE");
		for (int i = 0; i < circles.length; i++)
			System.out.println(circles[i]);

		Arrays.sort(circles);
		System.out.println("POSLE");
		for (int i = 0; i < circles.length; i++)
			System.out.println(circles[i]);

	}
}
